```
//import all libraries, including file readers to deal with text files
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashSet;
import java.util.Set;

public class Main {
    public static void main(String[] args) {
	
	//declare variables
    String file1Path = “pathname2file1.txt”;
    String file2Path = “pathname2file2.txt”;

    try {
        Set<String> file1Lines = new HashSet<>();
	
        //Read lines from file 1 and store them in a set (more efficient for a very large text file)

        BufferedReader reader1 = new BufferedReader(new FileReader(file1Path));
        String line1;
        while ((line1 = reader1.readLine()) != null) {
	        file1Lines.add(line1);
        }
        reader1.close();

        //Compare lines from file 2 with the lines stored in the set
        BufferedReader reader2 = new BufferedReader(new FileReader(file2Path));
        String line2;
        while ((line2 = reader2.readLine()) != null) {
	        if (file1Lines.contains(line2)) {
			    //Found a matching line
			    System.out.println(“Matching line found: “ + line2);
	        }
        }
        reader2.close();
    } catch (IOException e) {
	    e.printStackTrace();
    }
    }
}

```